[SECURITY] [DSA 2355-1] clearsilver security update

2011-12-05T00:00:00
ID SECURITYVULNS:DOC:27399
Type securityvulns
Reporter Securityvulns
Modified 2011-12-05T00:00:00

Description

-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1


Debian Security Advisory DSA-2355-1 security@debian.org http://www.debian.org/security/ Moritz Muehlenhoff November 30, 2011 http://www.debian.org/security/faq


Package : clearsilver Vulnerability : format string vulnerability Problem type : remote Debian-specific: no CVE ID : CVE-2011-4357

Leo Iannacone and Colin Watson discovered a format string vulnerability in the Python bindings for the Clearsilver HTML template system, which may lead to denial of service or the execution of arbitrary code.

For the oldstable distribution (lenny), this problem has been fixed in version 0.10.4-1.3+lenny1.

For the stable distribution (squeeze), this problem has been fixed in version 0.10.5-1+squeeze1.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you upgrade your clearsilver packages.

Further information about Debian Security Advisories, how to apply these updates to your system and frequently asked questions can be found at: http://www.debian.org/security/

Mailing list: debian-security-announce@lists.debian.org -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7Wn9QACgkQXm3vHE4uyloaDgCfc++RS4cmU/+vrEhoRtVoLzQU YgcAoJV5jRA7BZOCKHUUtcf34as7jssR =Am2z -----END PGP SIGNATURE-----